package com.ruoyi.hezhi.service;

import com.ruoyi.hezhi.domain.TbExam;
import com.ruoyi.hezhi.domain.vo.CareerExamListVO;
import com.ruoyi.hezhi.domain.vo.CourseListVO;
import com.ruoyi.hezhi.domain.vo.StudyCenterVO;

import java.util.List;
import java.util.Map;

/**
 * 考试Service接口
 *
 * @author ruoyi
 * @date 2024-11-12
 */
public interface ITbExamService
{
    /**
     * 查询考试
     *
     * @param examId 考试主键
     * @return 考试
     */
    public TbExam selectTbExamByExamId(Long examId);

    /**
     * 查询考试列表
     *
     * @param tbExam 考试
     * @return 考试集合
     */
    public List<TbExam> selectTbExamList(TbExam tbExam);

    /**
     * 新增考试
     *
     * @param tbExam 考试
     * @return 结果
     */
    public int insertTbExam(TbExam tbExam);

    /**
     * 修改考试
     *
     * @param tbExam 考试
     * @return 结果
     */
    public int updateTbExam(TbExam tbExam);

    /**
     * 批量删除考试
     *
     * @param examIds 需要删除的考试主键集合
     * @return 结果
     */
    public int deleteTbExamByExamIds(Long[] examIds);

    /**
     * 删除考试信息
     *
     * @param examId 考试主键
     * @return 结果
     */
    public int deleteTbExamByExamId(Long examId);

    /**
     * 职业考试列表
     *
     * @param params 参数
     * @return 职业考试列表
     */
    public List<CareerExamListVO> getCareerExamList(Map<String, Object> params);

    /**
     * 职业考试详情
     *
     * @param params 参数
     * @return 职业考试详情
     */
    public Map<String, Object> getCareerExamInfo(Map<String, Object> params);

    /**
     * 根据机构id查询课程列表
     * @param evaluateAgencyId 机构名称
     * @return List<CourseListVO>
     */
    List<CourseListVO> getCourseListByEvaluateAgency(Long evaluateAgencyId);

    /**
     * 根据课程id查询学习中心
     * @param courseId 课程id
     * @return
     */
    List<StudyCenterVO> getStudyListByCourse(Long courseId);
}
